## bowtie 0.12.7

=== debian/changelog ===
bowtie (0.12.7-3) unstable; urgency=low

  * debian/patches/use-dpkg-buildflags.patch: Regard LDFLAGS/CPPFLAGS
    hardening flags (thanks for the patch to Simon Ruderich
    <simon@ruderich.org>)
    Closes: #670230

 -- Andreas Tille <tille@debian.org>  Tue, 24 Apr 2012 13:21:32 +0200

bowtie (0.12.7-2) unstable; urgency=low

  * Do not give a pointer to non existing info pages in manpages
  * debian/control:
     - fixed Vcs fields
     - Standards-Version: 3.9.3 (no changes needed)
  * debian/upstream: Add citation information
  * debian/rules: calculate pkg name instead of setting it
  * debian/copyright: DEP5 verified using
     cme fix dpkg-copyright
  * debian/patches/gcc-4.7.patch: function "reverseInPlace" is declared after
    the function is used
    Thanks to Rodolfo García Peñas <kix@kix.es> and
    gregor herrmann <gregoa@debian.org>
    Closes: #667120
  * debhelper 9 (control+compat)
    Hardening flags were explicitly tested but not enforced in debian/rules

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 21:09:05 +0200

bowtie (0.12.7-1) unstable; urgency=low

  * Initial release (Closes: #604940)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Feb 2011 13:47:12 +0100
