=== debian/control ===
Source: bowtie
Section: science
Priority: extra
Maintainer:  Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>,
 Yask Gupta <yask.gupta87@gmail.com>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), help2man
Standards-Version: 3.9.3
Homepage: http://bowtie-bio.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/bowtie/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/bowtie/trunk/

Package: bowtie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bowtie-examples
Description: ultrafast memory-efficient short read aligner
 This package addresses the problem to interpret the results from the
 latest (2010) DNA sequencing technologies. Those will yield fairly
 short stretches and those cannot be interpreted directly. It is the
 challenge for tools like Bowtie to give a chromosomal location to the
 short stretches of DNA sequenced per run.
 .
 Bowtie aligns short DNA sequences (reads) to the human genome at a rate
 of over 25 million 35-bp reads per hour. Bowtie indexes the genome with
 a Burrows-Wheeler index to keep its memory footprint small: typically
 about 2.2 GB for the human genome (2.9 GB for paired-end).

Package: bowtie-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: bowtie
Enhances: bowtie
Description: Examples for bowtie, the ultrafast memory-efficient short read aligner
 This package addresses the problem to interpret the results from the
 latest (2010) DNA sequencing technologies. Those will yield fairly
 short stretches and those cannot be interpreted directly. It is the
 challenge for tools like Bowtie to give a chromosomal location to the
 short stretches of DNA sequenced per run.
 .
 Bowtie aligns short DNA sequences (reads) to the human genome at a rate
 of over 25 million 35-bp reads per hour. Bowtie indexes the genome with
 a Burrows-Wheeler index to keep its memory footprint small: typically
 about 2.2 GB for the human genome (2.9 GB for paired-end).
 .
 This package provides some example data to work with bowtie.
