=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for bowtie
# Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@

override_dh_auto_build:
	$(MAKE) allall

override_dh_auto_install:
	help2man --name="ultrafast memory-efficient short read aligner" --no-info \
             $(CURDIR)/bowtie > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/bowtie.1
	help2man --name="building a colorspace index for bowtie" --no-info \
             $(CURDIR)/bowtie-build > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/bowtie-build.1
	help2man --name="extracts information from a bowtie index" --no-info \
             $(CURDIR)/bowtie-inspect > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/bowtie-inspect.1

override_dh_auto_clean:
	rm -f .bowtie*
	dh_auto_clean

get-orig-source:
	. debian/get-orig-source
