## bowtie 1.0.0

=== debian/changelog ===
bowtie (1.0.0-5) unstable; urgency=low

  * Fixed (hopefully) FTBFS by using override_dh_fixperms-indep target
    instead of override_dh_fixperms in debian/rules.

 -- Ognyan Kulev <ogi@debian.org>  Thu, 30 May 2013 09:41:25 +0300

bowtie (1.0.0-4) unstable; urgency=low

  * Lintian fixes:
    - Removed DM-Upload-Allowed field.
    - Standards Version 3.9.4 (no changes needed).
    - Remove execute bits on some files in bowtie-examples.
  * Don't compress *.ebwt index files in bowtie-examples package.
  * Package description now starts with a capital letter.
  
 -- Ognyan Kulev <ogi@debian.org>  Wed, 29 May 2013 22:53:13 +0300

bowtie (1.0.0-3) unstable; urgency=low

  * New patch no_hash_style_both_for_mips.patch.
    This fixes build errors on mips and mipsel.

 -- Ognyan Kulev <ogi@debian.org>  Wed, 24 Apr 2013 15:15:37 +0300

bowtie (1.0.0-2) unstable; urgency=low

  * Requires version 1.3 of SeqAn.
  * Updated README.source about using Debian's SeqAn library.
  * Removed machine_bits_detection.patch and added disable_bits_flag.patch.

 -- Ognyan Kulev <ogi@debian.org>  Wed, 24 Apr 2013 10:49:47 +0300

bowtie (1.0.0-1) unstable; urgency=low

  * New upstream version. (Closes: #705616)
  * Refreshed patches: use_debian_seqan.patch, use-dpkg-buildflags.patch.
  * Removed patch gcc-4.7.patch (fixed upstream).
  * New patch machine_bits_detection.patch.
  * Added build dependancy on seqan-dev.
  * Activated use_debian_seqan.patch and added the following patches:
    - seqan-fix-setBegin-call.patch
    - seqan-rename-ChunkPool.patch
    - seqan-rename-fill-to-resize.patch
  * Added myself to Uploaders control field.

 -- Ognyan Kulev <ogi@debian.org>  Tue, 23 Apr 2013 16:43:49 +0300
