=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: science
 Priority: extra
 Maintainer:  Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Yask Gupta <yask.gupta87@gmail.com>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), help2man
-Standards-Version: 3.9.3
+ Andreas Tille <tille@debian.org>,
+ Ognyan Kulev <ogi@debian.org>
+Build-Depends: debhelper (>= 9), help2man, seqan-dev (>= 1.3)
+Standards-Version: 3.9.4
 Homepage: http://bowtie-bio.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/bowtie/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/bowtie/trunk/
@@ -16,7 +16,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: bowtie-examples
-Description: ultrafast memory-efficient short read aligner
+Description: Ultrafast memory-efficient short read aligner
  This package addresses the problem to interpret the results from the
  latest (2010) DNA sequencing technologies. Those will yield fairly
  short stretches and those cannot be interpreted directly. It is the
