=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,16 @@
 	help2man --name="extracts information from a bowtie index" --no-info \
              $(CURDIR)/bowtie-inspect > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/bowtie-inspect.1
 
+override_dh_compress:
+	dh_compress -X.ebwt
+
+# Fix bowtie-examples access mode for files in examples/
+override_dh_fixperms-indep:
+	dh_fixperms
+	chmod 644 debian/bowtie-examples/usr/share/doc/bowtie/examples/indexes/*
+#	Following line is not needed because gzipped genome/ (by dh_compress) is always 644.
+#	chmod 644 debian/bowtie-examples/usr/share/doc/bowtie/examples/genomes/*
+
 override_dh_auto_clean:
 	rm -f .bowtie*
 	dh_auto_clean
