## bowtie 1.0.1

=== debian/changelog ===
bowtie (1.0.1-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * drop debian/get-orig-source but rather remove the SeqAn-1.1 code
    copy via Files-Excluded
  * debian/control: Priority: optional

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jul 2014 13:38:25 +0200

bowtie (1.0.0-6) unstable; urgency=low

  * debian/patches/seqan-popcount.patch: New patch. (Closes: #733398)
  * Version 1.4 of seqan-dev is required now.
  * Standards-Version: 3.9.5 (no changes needed).
  * Updated Vcs-Svn and Vcs-Browse fields as per Debian-Med policy.

 -- Ognyan Kulev <ogi@debian.org>  Sat, 08 Mar 2014 15:13:16 +0200
