=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: bowtie
 Section: science
-Priority: extra
+Priority: optional
 Maintainer:  Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Yask Gupta <yask.gupta87@gmail.com>,
  Andreas Tille <tille@debian.org>,
  Ognyan Kulev <ogi@debian.org>
-Build-Depends: debhelper (>= 9), help2man, seqan-dev (>= 1.3)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), help2man, seqan-dev (>= 1.4)
+Standards-Version: 3.9.5
 Homepage: http://bowtie-bio.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/bowtie/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/bowtie/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bowtie/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bowtie/trunk/
 
 Package: bowtie
 Architecture: any
