=== debian/rules ===
--- 
+++ 
@@ -39,4 +39,4 @@
 	dh_auto_clean
 
 get-orig-source:
-	. debian/get-orig-source
+	uscan --verbose --force-download --repack --compress xz
