## bowtie 1.1.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SEQAN_DIR = SeqAn-1.1
 SEQAN_INC = -I $(SEQAN_DIR)
-INC = $(SEQAN_INC)
+INC = $(SEQAN_INC) -I third_party
 CPP = g++
 CXX = $(CPP)
 CC = gcc
@@ -42,6 +42,12 @@
     MACOS = 1
 endif
 
+ifneq (,$(findstring 13,$(shell uname -r)))
+	CPP = clang++
+	CC = clang
+	EXTRA_FLAGS += -stdlib=libstdc++
+endif
+
 LINUX = 0
 ifneq (,$(findstring Linux,$(shell uname)))
     LINUX = 1
@@ -64,7 +70,13 @@
 	PTHREAD_LIB = 
 	EXTRA_FLAGS += -static-libgcc -static-libstdc++
 else
-	PTHREAD_LIB = -lpthread
+    PTHREAD_LIB = -lpthread
+endif
+
+POPCNT_CAPABILITY ?= 1
+ifeq (1, $(POPCNT_CAPABILITY))
+    EXTRA_FLAGS += -DPOPCNT_CAPABILITY
+    INC += -I third_party
 endif
 
 PREFETCH_LOCALITY = 2
@@ -94,16 +106,14 @@
 VERSION = $(shell cat VERSION)
 
 BITS=32
-# cygwin will stay 32 bit for now.
-ifeq (1,$(MINGW))
-    # msys will always be 32 bit so look at the cpu arch.
-    ifneq (,$(findstring AMD64,$(PROCESSOR_ARCHITEW6432)))
-        BITS=64
-    else
-        ifneq (,$(findstring AMD64,$(PROCESSOR_ARCHITECTURE)))
-            BITS=64
-        endif
-    endif
+ifeq (x86_64,$(shell uname -m))
+	BITS=64
+endif
+# msys will always be 32 bit so look at the cpu arch instead.
+ifneq (,$(findstring AMD64,$(PROCESSOR_ARCHITEW6432)))
+	ifeq (1,$(MINGW))
+		BITS=64
+	endif
 endif
 
 ifeq (1,$(LINUX))
@@ -112,34 +122,39 @@
     endif
 endif
 
-# Convert BITS=?? to a -m flag
-BITS_FLAG =
 ifeq (32,$(BITS))
-    BITS_FLAG = -m32
-endif
-ifeq (64,$(BITS))
-    BITS_FLAG = -m64
-endif
-
-DEBUG_FLAGS = -O0 -g3 $(BITS_FLAG)
-RELEASE_FLAGS = -O3 $(BITS_FLAG)
+    $(error bowtie2 compilation requires a 64-bit platform )
+endif
+
+DEBUG_FLAGS = -O0 -g3 -m64
+RELEASE_FLAGS = -O3 -m64
 NOASSERT_FLAGS = -DNDEBUG
 FILE_FLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
 
-BIN_LIST = bowtie-build \
-           bowtie \
-           bowtie-inspect
-BIN_LIST_AUX = bowtie-build-debug \
-               bowtie-debug \
-               bowtie-inspect-debug
+BIN_LIST = bowtie-build-s \
+           bowtie-build-l \
+           bowtie-align-s \
+           bowtie-align-l \
+           bowtie-inspect-s \
+           bowtie-inspect-l
+BIN_LIST_AUX = bowtie-build-s-debug \
+               bowtie-build-l-debug \
+               bowtie-align-s-debug \
+               bowtie-align-l-debug \
+               bowtie-inspect-s-debug \
+               bowtie-inspect-l-debug
 
 GENERAL_LIST = $(wildcard scripts/*.sh) \
                $(wildcard scripts/*.pl) \
+               $(wildcard scripts/*.py) \
                $(wildcard indexes/e_coli*) \
                $(wildcard genomes/NC_008253.fna) \
                $(wildcard reads/e_coli_1000.*) \
                $(wildcard reads/e_coli_1000_*) \
                SeqAn-1.1 \
+               bowtie \
+               bowtie-build \
+               bowtie-inspect \
                doc/manual.html \
                doc/README \
                doc/style.css \
@@ -158,6 +173,10 @@
                $(wildcard *.hh) \
                $(wildcard *.c) \
                $(wildcard *.cpp) \
+               $(wildcard third_party/*.h) \
+               $(wildcard third_party/*.hh) \
+               $(wildcard third_party/*.c) \
+               $(wildcard third_party/*.cpp) \
                doc/strip_markdown.pl \
                Makefile \
                $(GENERAL_LIST)
@@ -187,9 +206,17 @@
 # bowtie-build targets
 #
 
-bowtie-build: ebwt_build.cpp $(OTHER_CPPS) $(HEADERS)
+bowtie-build-s: ebwt_build.cpp $(OTHER_CPPS) $(HEADERS)
 	$(CXX) $(RELEASE_FLAGS) $(RELEASE_DEFS) $(ALL_FLAGS)  \
 		$(DEFS) $(NOASSERT_FLAGS) -Wall \
+		$(INC) \
+		-o $@ $< \
+		$(OTHER_CPPS) $(BUILD_CPPS_MAIN) \
+		$(LIBS) $(BUILD_LIBS)
+
+bowtie-build-l: ebwt_build.cpp $(OTHER_CPPS) $(HEADERS)
+	$(CXX) $(RELEASE_FLAGS) $(RELEASE_DEFS) $(ALL_FLAGS)  \
+		$(DEFS) -DBOWTIE_64BIT_INDEX $(NOASSERT_FLAGS) -Wall \
 		$(INC) \
 		-o $@ $< \
 		$(OTHER_CPPS) $(BUILD_CPPS_MAIN) \
@@ -203,7 +230,7 @@
 		$(OTHER_CPPS) $(BUILD_CPPS_MAIN) \
 		$(LIBS) $(BUILD_LIBS)
 
-bowtie-build-debug: ebwt_build.cpp $(OTHER_CPPS) $(HEADERS)
+bowtie-build-s-debug: ebwt_build.cpp $(OTHER_CPPS) $(HEADERS)
 	$(CXX) $(DEBUG_FLAGS) $(DEBUG_DEFS) $(ALL_FLAGS) \
 		$(DEFS) -Wall \
 		$(INC) \
@@ -211,13 +238,29 @@
 		$(OTHER_CPPS) $(BUILD_CPPS_MAIN) \
 		$(LIBS) $(BUILD_LIBS)
 
+bowtie-build-l-debug: ebwt_build.cpp $(OTHER_CPPS) $(HEADERS)
+	$(CXX) $(DEBUG_FLAGS) $(DEBUG_DEFS) $(ALL_FLAGS) \
+		$(DEFS) -DBOWTIE_64BIT_INDEX -Wall \
+		$(INC) \
+		-o $@ $< \
+		$(OTHER_CPPS) $(BUILD_CPPS_MAIN) \
+		$(LIBS) $(BUILD_LIBS)
+
 #
 # bowtie targets
 #
 
-bowtie: ebwt_search.cpp $(SEARCH_CPPS) $(OTHER_CPPS) $(HEADERS) $(SEARCH_FRAGMENTS)
+bowtie-align-s: ebwt_search.cpp $(SEARCH_CPPS) $(OTHER_CPPS) $(HEADERS) $(SEARCH_FRAGMENTS)
 	$(CXX) $(RELEASE_FLAGS) $(RELEASE_DEFS) $(ALL_FLAGS) \
 		$(DEFS) $(NOASSERT_FLAGS) -Wall \
+		$(INC) \
+		-o $@ $< \
+		$(OTHER_CPPS) $(SEARCH_CPPS_MAIN) \
+		$(LIBS) $(SEARCH_LIBS)
+
+bowtie-align-l: ebwt_search.cpp $(SEARCH_CPPS) $(OTHER_CPPS) $(HEADERS) $(SEARCH_FRAGMENTS)
+	$(CXX) $(RELEASE_FLAGS) $(RELEASE_DEFS) $(ALL_FLAGS) \
+		$(DEFS) $(NOASSERT_FLAGS) -DBOWTIE_64BIT_INDEX -Wall \
 		$(INC) \
 		-o $@ $< \
 		$(OTHER_CPPS) $(SEARCH_CPPS_MAIN) \
@@ -232,7 +275,7 @@
 		$(OTHER_CPPS) $(SEARCH_CPPS_MAIN) \
 		$(LIBS) $(SEARCH_LIBS)
 
-bowtie-debug: ebwt_search.cpp $(SEARCH_CPPS) $(OTHER_CPPS) $(HEADERS) $(SEARCH_FRAGMENTS)
+bowtie-align-s-debug: ebwt_search.cpp $(SEARCH_CPPS) $(OTHER_CPPS) $(HEADERS) $(SEARCH_FRAGMENTS)
 	$(CXX) $(DEBUG_FLAGS) \
 		$(DEBUG_DEFS) $(ALL_FLAGS) \
 		$(DEFS) -Wall \
@@ -241,11 +284,20 @@
 		$(OTHER_CPPS) $(SEARCH_CPPS_MAIN) \
 		$(LIBS) $(SEARCH_LIBS)
 
+bowtie-align-l-debug: ebwt_search.cpp $(SEARCH_CPPS) $(OTHER_CPPS) $(HEADERS) $(SEARCH_FRAGMENTS)
+	$(CXX) $(DEBUG_FLAGS) \
+		$(DEBUG_DEFS) $(ALL_FLAGS) \
+		$(DEFS) -DBOWTIE_64BIT_INDEX -Wall \
+		$(INC) \
+		-o $@ $< \
+		$(OTHER_CPPS) $(SEARCH_CPPS_MAIN) \
+		$(LIBS) $(SEARCH_LIBS)
+
 #
 # bowtie-inspect targets
 #
 
-bowtie-inspect: bowtie_inspect.cpp $(HEADERS) $(OTHER_CPPS)
+bowtie-inspect-s: bowtie_inspect.cpp $(HEADERS) $(OTHER_CPPS)
 	$(CXX) $(RELEASE_FLAGS) \
 		$(RELEASE_DEFS) $(ALL_FLAGS) \
 		$(DEFS) -Wall \
@@ -254,10 +306,28 @@
 		$(OTHER_CPPS) \
 		$(LIBS)
 
-bowtie-inspect-debug: bowtie_inspect.cpp $(HEADERS) $(OTHER_CPPS) 
+bowtie-inspect-l: bowtie_inspect.cpp $(HEADERS) $(OTHER_CPPS)
+	$(CXX) $(RELEASE_FLAGS) \
+		$(RELEASE_DEFS) $(ALL_FLAGS) \
+		$(DEFS) -DBOWTIE_64BIT_INDEX -Wall \
+		$(INC) -I . \
+		-o $@ $< \
+		$(OTHER_CPPS) \
+		$(LIBS)
+
+bowtie-inspect-s-debug: bowtie_inspect.cpp $(HEADERS) $(OTHER_CPPS) 
 	$(CXX) $(DEBUG_FLAGS) \
 		$(DEBUG_DEFS) $(ALL_FLAGS) \
 		$(DEFS) -Wall \
+		$(INC) -I . \
+		-o $@ $< \
+		$(OTHER_CPPS) \
+		$(LIBS)
+
+bowtie-inspect-l-debug: bowtie_inspect.cpp $(HEADERS) $(OTHER_CPPS) 
+	$(CXX) $(DEBUG_FLAGS) \
+		$(DEBUG_DEFS) $(ALL_FLAGS) \
+		$(DEFS) -DBOWTIE_64BIT_INDEX -Wall \
 		$(INC) -I . \
 		-o $@ $< \
 		$(OTHER_CPPS) \
@@ -279,7 +349,7 @@
 	rm -rf .bin.tmp
 	mkdir .bin.tmp
 	mkdir .bin.tmp/bowtie-$(VERSION)
-	if [ -f bowtie.exe ] ; then \
+	if [ -f bowtie-align-s.exe ] ; then \
 		zip tmp.zip $(BIN_PKG_LIST) $(addsuffix .exe,$(BIN_LIST) $(BIN_LIST_AUX)) ; \
 	else \
 		zip tmp.zip $(BIN_PKG_LIST) $(BIN_LIST) $(BIN_LIST_AUX) ; \
