=== debian/changelog ===
bowtie (1.1.1-2) unstable; urgency=high

  * Team upload.
  * Install missing commands.  Closes: #776881.

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2015 10:44:39 +0900

bowtie (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * cme fix dpkg-control
  * Another patch to build with SeqAn 1.4 (Thanks to Gert Wollny)
  * Add Depends: python (also Build-Depends since it is used in tests)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Oct 2014 14:32:50 +0200

bowtie (1.0.1-3) unstable; urgency=medium

  * Drop all architectures except amd64 since there was no success
    in trying to port the code to other architectures.  The portability
    patch introduced in the last revision was droped again
  * debian/copyright: Drop unneeded copyright statements about code that
    was removed from upstream source

 -- Andreas Tille <tille@debian.org>  Mon, 15 Sep 2014 11:00:25 +0200

bowtie (1.0.1-2) unstable; urgency=medium

  * Do not use copy of outdated gcc header file which destroys portability
    to other architectures
    Closes: #756780
  * Add README.Debian informing users about the fact that we ignore copy
    of cpuid.h
  * Add unit tests for build time and autopkgtest
  * Add debian/README.test to explain how to test the package
    Attention: Please take notice of /usr/share/bowtie/README.Debian about
      "Test suite for bowtie created and potential issue with sorting"

 -- Andreas Tille <tille@debian.org>  Wed, 03 Sep 2014 09:50:22 +0200
