=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: bowtie
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Yask Gupta <yask.gupta87@gmail.com>,
+           Andreas Tille <tille@debian.org>,
+           Ognyan Kulev <ogi@debian.org>
 Section: science
 Priority: optional
-Maintainer:  Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>,
- Yask Gupta <yask.gupta87@gmail.com>,
- Andreas Tille <tille@debian.org>,
- Ognyan Kulev <ogi@debian.org>
-Build-Depends: debhelper (>= 9), help2man, seqan-dev (>= 1.4)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               help2man,
+               seqan-dev (>= 1.4),
+               python
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bowtie/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bowtie/trunk/
 Homepage: http://bowtie-bio.sourceforge.net/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bowtie/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bowtie/trunk/
 
 Package: bowtie
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: amd64 kfreebsd-amd64
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         python
 Suggests: bowtie-examples
 Description: Ultrafast memory-efficient short read aligner
  This package addresses the problem to interpret the results from the
