=== debian/rules ===
--- 
+++ 
@@ -38,5 +38,10 @@
 	rm -f .bowtie*
 	dh_auto_clean
 
+override_dh_auto_test:
+	ln -s debian/tests
+	sh debian/tests/run-unit-test test_at_build_time
+	rm -f tests examples[0-9].out
+
 get-orig-source:
 	uscan --verbose --force-download --repack --compress xz
