=== debian/changelog ===
bowtie (1.1.2-3) unstable; urgency=medium

  * Enable building arch independent packages separately
    Closes: #806220
  * Fix clean target

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2015 22:38:02 +0100

bowtie (1.1.2-2) unstable; urgency=medium

  * Enable building on arm64 (Thanks for the patch to Edmund Grimley Evans)
    Closes: #800548
  * Remove inactive Uploader
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2015 09:47:23 +0200

bowtie (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * remove strange byte-compyled Python code bowtie-buildc (no idea how and
    why it was created)
  * Enabling ppc64el on Makefile and debian/control (Thanks for the patch to
    Fernando Seiti Furusato <ferseiti@br.ibm.com>)
    Closes: #788537

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jul 2015 21:24:20 +0200
