=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: bowtie
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Yask Gupta <yask.gupta87@gmail.com>,
            Andreas Tille <tille@debian.org>,
            Ognyan Kulev <ogi@debian.org>
 Section: science
@@ -16,7 +15,7 @@
 Homepage: http://bowtie-bio.sourceforge.net/
 
 Package: bowtie
-Architecture: amd64 kfreebsd-amd64
+Architecture: amd64 kfreebsd-amd64 arm64 ppc64el
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python
