=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,11 @@
 override_dh_auto_build:
 	$(MAKE) allall
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
+	# remove strange byte-compyled Python code bowtie-buildc (no idea how and why it was created)
+	find . -name bowtie-buildc -delete
+
+override_dh_installman-arch:
 	help2man --name="ultrafast memory-efficient short read aligner" --no-info \
              $(CURDIR)/bowtie > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/bowtie.1
 	help2man --name="building a colorspace index for bowtie" --no-info \
