=== debian/watch ===
version=3
http://sf.net/bowtie-bio/bowtie-([\d\.]+)-src\.zip
