=== debian/changelog ===
bowtie (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
    - Threading with tbb
    - queue-based lock rather than spin/heavyweight lock
    - reduced thread synchronization
  * Added 'dfsg' to version because of removed seqan source tree
  * debian/upstream/metadata: Added RRID reference
  * debian/watch: Adjusted for new distribution via github
  * Team upload provided by new aspiring Debian Med member,
    sponsored by <moeller>

 -- Stephan Struckmann <stephan.struckmann@gmail.com>  Thu, 08 Jun 2017 15:24:17 +0200

bowtie (1.1.2-6) unstable; urgency=medium

  * Enable build on all 64bit architectures (thanks for the patch to James
    Cowgill <jcowgill@debian.org>)
    Closes: #840775

 -- Andreas Tille <tille@debian.org>  Fri, 14 Oct 2016 20:53:17 +0200

bowtie (1.1.2-5) unstable; urgency=medium

  * Team upload.
  * Make build reproducible again.
    - Remove build directory from recorded CFLAGS.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Sep 2016 10:13:36 +0000

bowtie (1.1.2-4) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Use fixed build hostname and compiler version.
  * Fix autopkgtest by adjusting directory.
  * Enable full hardening.
  * Bump Standards-Version.
  * Use secure Vcs-Browser.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 25 May 2016 22:25:27 +0000
