=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Ognyan Kulev <ogi@debian.org>
+           Ognyan Kulev <ogi@debian.org>,
+           Stephan Struckmann <stephan.struckmann@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
                help2man,
-               seqan-dev (>= 1.4),
-               python
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bowtie/trunk/
+               libtbb-dev,
+               python,
+               seqan-dev (>= 1.4)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/bowtie/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bowtie/trunk/
 Homepage: http://bowtie-bio.sourceforge.net/
 
 Package: bowtie
-Architecture: amd64 kfreebsd-amd64 arm64 ppc64el
+Architecture: alpha any-amd64 arm64 mips64el ppc64 ppc64el s390x sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python
