=== debian/watch ===
version=4
# only active up to version 1.1.x
#http://sf.net/bowtie-bio/bowtie-([\d\.]+)-src\.zip
# since 1.2.0
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bowtie-$1.tar.gz%" \
   https://github.com/BenLangmead/bowtie/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
