## bowtie 1.2.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+pkg := bowtie
 
 %:
 	dh $@
@@ -19,6 +19,7 @@
 override_dh_auto_install-arch:
 	# remove strange byte-compyled Python code bowtie-buildc (no idea how and why it was created)
 	find . -name bowtie-buildc -delete
+	find . -name .cvsignore -delete
 
 override_dh_installman-arch:
 	help2man --name="ultrafast memory-efficient short read aligner" --no-info \
@@ -46,6 +47,3 @@
 	ln -s debian/tests
 	sh debian/tests/run-unit-test test_at_build_time
 	rm -f tests examples[0-9].out
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compress xz
